gtkmm: Gtk::ComboDropDown Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Related Functions

# Gtk::ComboDropDown Class Reference

The dropdown list of a Combo. More...

Inheritance diagram for Gtk::ComboDropDown:
[legend]
Collaboration diagram for Gtk::ComboDropDown:
[legend]

List of all members.

## Public Types
typedef ComboDropDown_Helpers::ComboDropDownList | ComboDropDownList
## Public Member Functions
virtual | ~ComboDropDown ()
GtkList* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkList* | gobj () const
| Provides access to the underlying C GtkObject.
void | scroll_horizontal (ScrollType scroll_type, float position)
void | scroll_vertical (ScrollType scroll_type, float position)
ComboDropDownList& | children ()
const ComboDropDownList& | children () const
Glib::SignalProxy1< void, Widget& > | signal_select_child ()
Glib::SignalProxy0< void > | signal_selection_changed ()
Glib::SignalProxy1< void, Widget& > | signal_unselect_child ()
## Protected Member Functions
virtual void | on_select_child (Widget& item)
virtual void | on_selection_changed ()
virtual void | on_unselect_child (Widget& item)
| ComboDropDown ()
## Related Functions
(Note that these are not member functions.)
Gtk::ComboDropDown* | wrap (GtkList* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The dropdown list of a Combo.

A combo is a compound widget which crosses a text entry area and a pull down list. The dropdown list is implemented with the deprecated GtkList widget on the gtk+ side. ComboDropDown is a thin wrapper around GtkList containing just the functionality necessary for a Combo's list. To add and remove items use the STL-style interface that is accessible through ComboDropDown::children().

Deprecated:
  Use the ComboBox widget instead.

## Member Typedef Documentation

typedef ComboDropDown_Helpers::ComboDropDownList Gtk::ComboDropDown::ComboDropDownList

## Constructor & Destructor Documentation

virtual Gtk::ComboDropDown::~ComboDropDown | ( |  | ) | `[virtual]`

Gtk::ComboDropDown::ComboDropDown | ( |  | ) | `[protected]`

## Member Function Documentation

ComboDropDownList& Gtk::ComboDropDown::children | ( |  | ) |

const ComboDropDownList& Gtk::ComboDropDown::children | ( |  | ) | const

GtkList* Gtk::ComboDropDown::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

const GtkList* Gtk::ComboDropDown::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

virtual void Gtk::ComboDropDown::on_select_child | ( | Widget& | item | ) | `[protected, virtual]`

virtual void Gtk::ComboDropDown::on_selection_changed | ( |  | ) | `[protected, virtual]`

virtual void Gtk::ComboDropDown::on_unselect_child | ( | Widget& | item | ) | `[protected, virtual]`

void Gtk::ComboDropDown::scroll_horizontal | ( | ScrollType | scroll_type,
|  | float | position
| ) |  |

void Gtk::ComboDropDown::scroll_vertical | ( | ScrollType | scroll_type,
|  | float | position
| ) |  |

Glib::SignalProxy1< void,Widget& > Gtk::ComboDropDown::signal_select_child | ( |  | ) |

Prototype:
  `void on_my_select_child(Widget& item)`

Glib::SignalProxy0< void > Gtk::ComboDropDown::signal_selection_changed | ( |  | ) |

Prototype:
  `void on_my_selection_changed()`

Glib::SignalProxy1< void,Widget& > Gtk::ComboDropDown::signal_unselect_child | ( |  | ) |

Prototype:
  `void on_my_unselect_child(Widget& item)`

## Friends And Related Function Documentation

Gtk::ComboDropDown* wrap | ( | GtkList * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/combo.h